Name:           tokyonight-gtk-theme
Version:        0
Release:        e9b4dd50.1.g%{?dist}
Summary:        A GTK theme based on the Tokyo Night colour palette

License:        GPL-3.0-or-later
URL:            https://github.com/Fausto-Korpsvart/Tokyonight-GTK-Theme

%global commit e9b4dd50f0c7d091d6c1e6797ba703182b92b5e2

Source0:        %{URL}/archive/%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  sassc
Requires:       gtk-update-icon-cache

%description
A GTK theme based on the Tokyo Night colour palette, with icon tweaks and optional macOS-style refinements.

%prep
%autosetup -n Tokyonight-GTK-Theme-%{commit}

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/share/themes
install -dm 755 %{buildroot}/usr/share/icons

cd themes
./install.sh -l --tweaks macos -d %{buildroot}/usr/share/themes

cp -a ../icons/Tokyonight-Dark %{buildroot}/usr/share/icons/

%files
%license LICENSE
%doc README.md
/usr/share/themes/*
/usr/share/icons/Tokyonight-Dark

%changelog
* Sat Apr 19 2025 15:46 Little Owl <littleowl@athenaos.org>
- Synced with upstream
